
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>80x86保护模式下IDT和中断调用过程分析 / 憋错料</title>

    <meta name="description" content="80x86保护模式下IDT和中断调用过程分析 1.中断描述符表(IDT),将每个异常或中断向量分别与它们的处理过程联系起来.与GDT和LDT类似,IDT也是由8字节长度的描述符组成.IDT空描述符的存在标志位必须是0.IDT表可以驻留在线性地址空间的任何地方,处理器使用IDTR寄存器来定位IDT表的位置. LIDT指令可以把内存中的限长值和基地址操作数加载到IDTR寄存器中,该指令仅能由当前特权级CPL是0的代码执行,通常被用于创建IDT时的操作系统初始化代码中.SIDT作用相反,但可以在任何特权级执行. 2.IDT描述符 IDT表中可以存">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">80x86保护模式下IDT和中断调用过程分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>1.中断描述符表(IDT),将每个异常或中断向量分别与它们的处理过程联系起来。与GDT和LDT类&#20284;，IDT也是由8字节长度的描述符组成。IDT空描述符的存在标志位必须是0。IDT表可以驻留在线性地址空间的任何地方，处理器使用IDTR寄存器来定位IDT表的位置。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MTEwOTMwMDQ4NDM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2UjJWMFRtVjRkRmRwYm1SdmR3PT0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"></p>
<p>LIDT指令可以把内存中的限长&#20540;和基地址操作数加载到IDTR寄存器中，该指令仅能由当前特权级CPL是0的代码执行，通常被用于创建IDT时的操作系统初始化代码中。SIDT作用相反，但可以在任何特权级执行。</p>
<p>2.IDT描述符</p>
<p>IDT表中可以存放3种类型的门描述符:中断门描述符、陷阱门描述符、任务门描述符。先介绍中断门描述符</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MTEwOTM2Mjk3NTA/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2UjJWMFRtVjRkRmRwYm1SdmR3PT0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"></p>
<p>注:上面过程入口点偏移，和代码段描述符的基地址不同，这里入口点偏移&#20540;代码中断处理程序在.text段中的偏移量。</p>
<p>3.异常和中断处理过程</p>
<p>当相应一个异常或中断时，处理器使用异常或中断的向量作为IDT表中的索引。如果索引&#20540;指向中断们或陷阱门，则处理器使用与CALL指令操作调用门类&#20284;的方法调用异常或者中断处理过程。如果索引&#20540;指向任务门，则处理器使用与CALL指令操作任务门类&#20284;的方法进行任务切换，执行异常或中断处理过程。</p>
<p>下图介绍中断过程调用。门中的段选择符指向GDT或LDT中的可执行代码段描述符。门描述符中的偏移字段指向异常或中断处理过程的开始处。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MTEwOTU4NTA1Nzg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2UjJWMFRtVjRkRmRwYm1SdmR3PT0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"></p>
<p>4.中断任务处理</p>
<p>当通过IDT中的任务门来访问异常或中断处理过程时就会导致任务切换。IDT中的任务门会引用GDT中的TSS描述符。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MTExMDAyMTYzNTk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2UjJWMFRtVjRkRmRwYm1SdmR3PT0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"></p>
<p><P><A href="http://www.bubuko.com/infodetail-175381.html" rel="external nofollow noreferrer">80x86保护模式下IDT和中断调用过程分析,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:39:37 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/ext/" title="ext">ext</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>80x86保护模式下IDT和中断调用过程分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4J2kwY4.html" rel="bookmark">IA-32 保护模式下寄存器一览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在看张银奎先生的&lt;调试软件&gt;一书,想将关键的技术记录下来,以便日后查阅,也分享给想看之人吧. 1 通用寄存器 EAX,EBX,ECX,EDX:用于运算的通用寄存器,可以使用AX,BX等16位或AL,AH等8位短寄存器,访问长寄存器的相应地址 ESP,EBP:Extended Stack/Base Pointer,指栈顶和当前栈的起始地址 ESI,EDI:源和目标寄存器,比如在循环操作中,与ECX组合,分别表示计数器(ECX),起始数(ESI),目标数(EDI) 64位扩展通用寄存器:RAX			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVRp6yM.html" rel="bookmark">保护模式下的冒泡排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 ;16位代码 2 [bits 16] 3 ;初始化实模式下的数据段,代码段,堆栈段 4 mov eax, cs 5 mov ss, eax 6 mov sp, 0x7C00 ;实模式下的栈在引导扇区的下边 7 ;将保护模式下的线性地址转换为实模式下的段地址:偏移地址的形式 8 xor edx, edx ;此处使用64位除法, 高32位清零 9 mov eax, [cs:gdt_base + 0x7C00] ;使用超越段前缀访问数据 10 mov ebx,16 ;线性地址 = 段地址 X 16			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02Lg8z4.html" rel="bookmark">IE保护模式下ActiveX控件打不开共享内存的解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://www.cppblog.com/Streamlet/archive/2012/10/25/193831.html 感谢溪流漫话的投递 IE保护模式下,ActiveX控件会打不开别的进程创建的共享内存,原因是IE运行在低完整性级别权限下,一般应用程序运行在中完整性级别.别的应用程序创建的共享内存,即使赋予Everyone权限,ActiveX控件仍然会打不开. 解决方案:创建共享内存的时候,设置下完整性级别: bool SetLowLabelToKernelObject(LPCT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLXJxdM.html" rel="bookmark">实模式与保护模式下的分段分页机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 实模式 在实模式下,CPU不会为任务提供任务的保护机制,代码任意运行.8086处理器是学习实模式的常用例子.它内部大致有以下寄存器: 8个16位的通用寄存器: AX (可以拆分成两个AH/AL的8位寄存器) BX (BH,BL) CX (CH,CL) DX (DH,DL) SI (source index, 源索引寄存器) DI (destination index, 目的索引寄存器) BP (base pointer, 基数指针寄存器) SP (stack pointer, 堆栈指针寄存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KyjZm4.html" rel="bookmark">80X86保护模式及其编程（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				80x86系统寄存器和系统指令 1.标志寄存器(EFLAGS) 标志寄存器EFLAGS的标志位含义如下图: TF 位8是跟踪标志(Trace flag),当设置该位时可为调试操作启动单步执行方式.复位时则禁止单步执行.在单步执行方式下,处理器会在每个指令执行后产生一个调试异常,这样我们可以观察执行程序在每条指令执行后的状态. IOPL 位13-12时I/O特权级(I/O Privilege Level)字段.该字段指明当前运行程序或任务的I/O特权级别IOPL.当前任务或程序的CPL必须小于这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47amG10.html" rel="bookmark">操作系统学习（一）、80x86保护模式内存管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				整理的不好,凑合着看吧 目录 1.内存及寻址 2.地址变换 3.分段机制 4.分页机制 5.保护 6.去到底部 一.内存及寻址 返回目录 二.地址变换 80X86 从 逻辑地址 到 物理地址 的转换:第一阶段是使用分段机制把程序的 逻辑地址变换成处理器可寻址的内存空间(称为线性地址空间)中的地址. 第二阶段使用分页机制把线性地址转换为物理地址. 在地址变换的过程中, 第一阶段的分段变换机制总是使用,第二阶段的分页机制是可选的,如果没有启用分页机制,那么分段机制产生的线性地址空间就直接映射到处理器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/471BGy0.html" rel="bookmark">保护模式下GDTR&comma;LDTR&comma;全局描述符表&comma;局部描述符表和选择器的关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这张图要注意:右边两个0-15,其中上面的是LDTR,  下面的是选择子. 图下第五个标线,是两个线交叉的,实际上第五个线是指向右边水平的那个线. 没有箭头的两组线分别表示GDT的区间,LDT的区间 3和3'之间的两个没有箭头的线,是表示分别表示区间的线. 3'找到LDT的基址. --------------------------------------------------------------------------------------------- 涉及到段选择子,都是由GDTR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mo9A5k3.html" rel="bookmark">保护模式下的特权级检查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://weibo.com/oA53NcVF=05Gp/1001604186124800122428蝗史录颂窗DHJ灾杏匾却 http://weibo.com/38w6WQw0=qZGp/1001604186124863037468右赘列焉寐CTU期倨挛婆 http://weibo.com/Uq14g91D=5gXp/1001604186124816899756忱阶反豪头TSK夯忻眉呀 http://weibo.com/065JmsW1=2qZp/100160418612503500875			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzojKq0.html" rel="bookmark">&lbrack;保护模式&rsqb;长调用与短调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CALL FAR 长调用最终需要执行的代码由CS段选择子找到的调用门决定的 提权的时候堆栈发生了切换,保留原CS,ESP,SS 返回也是RETF 总结: 1.跨段调用时,一旦有权限切换,就会切换堆栈: 2.CS的权限如果没有变更,那么只换CS:’CS的权限一旦发生改变,SS的权限也要随之改变,CS与SS的等级必须一样: 3.JMP FAR 只能跳转到同级非一致代码段,但CALL FAR可以通过调用门提权,提升CPL的权限 SS与ESP 参见TSS段 原文地址:https://www.cnblog			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rDo7M.html" rel="bookmark" class="title">（转载）Java多线程入门理解</a>
					<div>
						转载出处http://blog.csdn.net/evankaka 写在前面的话:此文只能说是java多线程的一个入门,其实Java里头线程完全可以写一本书了,但是如果最基本的你都学掌握好,又怎么能更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmXdY4.html" rel="bookmark" class="title">离线安装 Android Studio 更新</a>
					<div>
						离线安装 Android Studio 更新 1.在线更新 随着 Android Studio 的越来越完善与流行,无论从功能性,还是性能上,它正在成为广大 Android 开发者的首选.但是因为总所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2Bxv3.html" rel="bookmark" class="title">【c基础】之 文件及其操作</a>
					<div>
						文件的打开与关闭 首先要定义一个文件指针类型,格式为 FILE *文件指针名; ; FILE *fp; //fp就是定义的文件指针 ●打开文件fopen()函数,格式: fp = fopen(&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2lm73.html" rel="bookmark" class="title">蓝桥T291（BFS &plus; 输出路径）</a>
					<div>
						http://lx.lanqiao.org/problem.page?gpid=T291 学霸的迷宫 时间限制:1.0s   内存限制:256.0MB 问题描述 学霸抢走了大家的作业,班长为了帮同学们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wR8WV0.html" rel="bookmark" class="title">10&period; Firewalls （防火墙 2个）</a>
					<div>
						Netfilter是在标准Linux内核中实现的强大的包过滤器. 用户空间iptables工具用于配置. 它现在支持数据包过滤(无状态或有状态),各种网络地址和端口转换(NAT / NAPT),以及用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aAyrv0.html" rel="bookmark" class="title">5&period;20 c&num;验证码练习</a>
					<div>
						using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02kX5o3.html" rel="bookmark" class="title">android的简单入门学习</a>
					<div>
						话说光配环境就整死我了, 不是说多么难, 是最近google被屏了, 很多sdk里面需要下载的东西都下不下来, 坑爹啊.  最后跟扫拉稀要了一个他配置好的,才运行了. android目录分析: ass ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35Agpj3.html" rel="bookmark" class="title">成为优秀高级程序员的10个要点&lpar;转&rpar;</a>
					<div>
						英文原文:10 Steps to become a Senior Software Engineer What 软件工程师的职业生涯要历经以下几个阶段:初级.中级,最后才是高级.这篇文章主要是讲如何通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRl6Q3.html" rel="bookmark" class="title">JavaScript这些代码你都不会，你还有什么好说的！！！</a>
					<div>
						都说自己工资低的,先看看这些代码你能写出来不?这些都不会,你还嫌工资?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AEqgK4.html" rel="bookmark" class="title">Linux学习  Unit 10</a>
					<div>
						Unit10.系统日志 1.系统日志默认分类 /var/log/messages               ##系统服务及日志,包括服务的信息,报错等等 /var/log/secure        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AWnA50.html" rel="bookmark" class="title">QTableWidget嵌入QpushButton后定位QpushButton</a>
					<div>
						问题: 有时候会遇到这样的情况,在QTableWidget中我们需要嵌入一个QpushButton按钮,但是如何确定是哪个Button按下的呢? 解决: 一般地,一个按钮按下后会连接到一槽函数,那么在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nRanP0.html" rel="bookmark" class="title">【基础练习】【贪心】【递推】NOIP2013提高组第五题 积木大赛题解</a>
					<div>
						还是先把题目放上吧: 春春幼儿园举办了一年一度的&quot;积木大赛&quot;.今年比赛的内容是搭建一座宽度为n的大厦,大厦可以看成由n块宽度为1的积木组成,第n块积木的最终高度需要是hi. 在搭建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Op8KP4.html" rel="bookmark" class="title">Linux内核--并发【转】</a>
					<div>
						本文转自自:http://www.jianshu.com/p/035550ae05d2 为什么会产生并发 1.多个用户同时登陆的时候,他们有可能在任何时刻以任意的组合调用内核代码. 2.smp系统可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkWwK3.html" rel="bookmark" class="title">&lbrack;JS&comma;Canvas&rsqb;日历时钟</a>
					<div>
						Html: 1 &lt;!doctype html&gt; 2 &lt;html&gt; 3 &lt;head&gt; 4 &lt;meta charset=&quot;UTF-8&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e6mkp3.html" rel="bookmark" class="title">7、夫妻二人团队</a>
					<div>
						夫妻二人是一种典型的无明确领导者的团队,强势的一方会成为夫妻中领导方. 同所有的团队一样,团队的方向.目标.价值观.执行都将影响夫妻二人的契合. 占位--					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ba5apM.html" rel="bookmark" class="title">&lbrack;Linux&rsqb;centOS7-1-1503-x86&lowbar;64下安装VM-TOOLS</a>
					<div>
						1.安装Perl,gcc. 2.如果提示 The path &quot;&quot; is not a valid path to the 3.10.0-229.el7.x86_64 kernel h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Ok6nZ3.html" rel="bookmark" class="title">手把手教你如何逐步安装OpenStack</a>
					<div>
						[TechTarget中国原创] 尽管OpenStack官方提供的在线安装教程和分步向导能够为管理员提供很大帮助,但是依然存在很多不尽如人意的地方.因此在Ubuntu上安装OpenStack的过程当中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38KeXR0.html" rel="bookmark" class="title">又一轮互联网购物平台的春天？</a>
					<div>
						聚美优品上市 京东收购.整合易迅.拍拍,打包上市 当当上市 阿里巴巴上市 都看低中国互联网购物的情况下,这些大佬们跑到国外上市,获得国外资本的追捧. 是不是说中国的互联网购物的春天来临了呢? 在这&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MorbGk4.html" rel="bookmark" class="title">接口简介</a>
					<div>
						(1)接口用于描述系统对外提供的所有服务,因此接口中的成员常量和方法都必须是公开(public)类型的,确保外部使用者能访问它们: (2)接口仅仅描述系统能做什么,但不指明如何去做,所以接口中的方法都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rpYVqM.html" rel="bookmark" class="title">ubuntu开机自动加载iptables配置（转）</a>
					<div>
						原文:http://www.xuebuyuan.com/730127.html iptables的使用参见http://wiki.ubuntu.org.cn/IptablesHowTo iptable ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
